Skip to main content
POST
Explicitly accept or decline the exact proposed catering version

Authorizations

X-Catering-Token
string
header
required

Event and location scoped customer catering capability. Never place in query parameters.

Headers

Idempotency-Key
string
required

Caller-stable key reused only for retries of this exact request.

Required string length: 16 - 128
Pattern: ^[A-Za-z0-9._:-]{16,128}$

Path Parameters

locationId
string
required
Required string length: 1 - 128
eventId
string
required
Required string length: 1 - 128

Body

application/json
proposalId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
version
integer
required
Required range: 0 < x <= 9007199254740991
revision
integer
required
Required range: 0 <= x <= 9007199254740991
offerFingerprint
string
required
Pattern: ^[a-f0-9]{64}$
decision
enum<string>
required
Available options:
accepted,
declined

Response

The permanent decision; no automatic charge or refund.

proposals
object[]
required
currentProposalId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
effectiveProposalId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$